Bug 191247 - FC5 not recognizing many USB devices
FC5 not recognizing many USB devices
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 23:45 EDT by Gantry York
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lsusb -v (12.77 KB, text/plain)
2006-05-09 23:45 EDT, Gantry York
no flags Details

  None (edit)
Description Gantry York 2006-05-09 23:45:10 EDT
Created attachment 128831 [details]
Output of lsusb -v
Comment 1 Gantry York 2006-05-09 23:45:10 EDT
Description of problem:

When I plug my USB CF card reader in, it isn't recognized.


Version-Release number of selected component (if applicable):

FC5 with all updates as of 5/9/06 applied


How reproducible:

Steps to Reproduce:
1.  Plug in USB card reader with card installed
2.  Device is not properly recognized and treated like a USB file system
3.
  
Actual results:

Nothing happens aside from some message in /var/log/message (see below)


Expected results:

The device to automount and be made available as a file system under /media. 
Also expect an icon to pop up on the desktop.


Additional info:

Plug in a USB card reader.  My particular mo0del is the Pro-Gear XP-14 with an
Olympus 1GB xD card.  I have also verified this with a Kingston 128MB SmartMedia
card.

I found the following message in /var/log/messages

May  9 20:32:48 denali kernel: usb 1-2.2: new full speed USB device using
uhci_hcd and address 5
May  9 20:32:48 denali kernel: usb 1-2.2: no configuration chosen from 1 choice


I also notice that my iAudio X5 (USB connected) and Logitech Webcam (USB
connected) aren't auto recognized either.  They did work under FC4.

I believe hotplug was present in FC4, but not FC5.

My HP OfficeJet 6110 (USB connected) printer is recognized properly.  Most USB
jump/thumb drives seem to work.

I've attached a copy of the output from lsusb -v

I've assigned a high priority to this since this is very basic desktop
functionality that any user would expect and because it used to work in FC4. 
This is a step backwards.
Comment 2 Gantry York 2006-05-10 00:58:00 EDT
Perhaps this isn't a problem with FC5 in general, but just a problem with the
configuration of my computer.  

I tried the exact same devices on a laptop computer running FC5 and they all worked.

Here are the /var/log/messages entries:

May  9 22:00:18 arenal kernel: usb 1-4: configuration #2 chosen from 1 choice
May  9 22:00:18 arenal kernel: scsi1 : SCSI emulation for USB Mass Storage devices
May  9 22:00:23 arenal kernel:   Vendor: TOSHIBA   Model: MK3006GAL         Rev:
BY10
May  9 22:00:23 arenal kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 00
May  9 22:00:23 arenal kernel: SCSI device sda: 58605120 512-byte hdwr sectors
(30006 MB)
May  9 22:00:23 arenal kernel: sda: Write Protect is off
May  9 22:00:23 arenal kernel: sda: assuming drive cache: write through
May  9 22:00:23 arenal kernel: SCSI device sda: 58605120 512-byte hdwr sectors
(30006 MB)
May  9 22:00:23 arenal kernel: sda: Write Protect is off
May  9 22:00:23 arenal kernel: sda: assuming drive cache: write through
May  9 22:00:24 arenal kernel:  sda: sda1
May  9 22:00:24 arenal kernel: sd 1:0:0:0: Attached scsi disk sda
May  9 22:00:24 arenal kernel: sd 1:0:0:0: Attached scsi generic sg0 type 0
May  9 22:00:26 arenal kernel: SELinux: initialized (dev sda1, type vfat), uses
genfs_contexts
May  9 22:00:26 arenal kernel: audit(1147237226.340:16): avc:  granted  {
execmem } for  pid=2602 comm="nautilus" scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process

I guess I don't knowwhere to go from here
Comment 3 Harald Hoyer 2006-05-10 01:05:33 EDT
reassigning to component kernel
Comment 4 Gantry York 2006-05-10 17:15:05 EDT
I have this working now.

My problem was that I had a USB1.0 hub with USB2.0 devices plugged into it.

I don't know why FC4 would be able to handle this and FC5 not.

Comment 5 Dave Jones 2006-10-16 20:41:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dave Jones 2006-11-24 18:07:30 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.